mat-spinner{
  position: absolute;
  height: 100px;
  width: 100px;
  top: 50%;
  left: 50%;
  margin-left: -50px;
  margin-top: -50px;
  background-size: 100%;
}
::ng-deep .mat-progress-spinner circle, .mat-spinner circle {
  stroke: #f6b614;
}
